aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2011-04-20 16:44:10 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-04-20 16:44:10 +0100
commit7687d91f73f4a116593315b3b1488ac3f0904905 (patch)
tree8a00b11e6efc7a37427b03704b9fb59461afc8a5 /scripts
parentfa6176219b741eed346b21a3d923e9abc9b5442a (diff)
downloadopenembedded-core-7687d91f73f4a116593315b3b1488ac3f0904905.tar.gz
Rename poky-qemu to runqemu
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/oe-buildenv-internal2
-rwxr-xr-xscripts/poky-gen-tapdevs8
-rwxr-xr-xscripts/poky-setup-builddir2
-rw-r--r--scripts/qemuimage-testlib6
-rwxr-xr-xscripts/qemuimage-tests/sanity/boot2
-rwxr-xr-xscripts/qemuimage-tests/sanity/compiler2
-rwxr-xr-xscripts/qemuimage-tests/sanity/connman2
-rwxr-xr-xscripts/qemuimage-tests/sanity/dmesg2
-rwxr-xr-xscripts/qemuimage-tests/sanity/rpm_query2
-rwxr-xr-xscripts/qemuimage-tests/sanity/scp2
-rwxr-xr-xscripts/qemuimage-tests/sanity/shutdown2
-rwxr-xr-xscripts/qemuimage-tests/sanity/ssh2
-rwxr-xr-xscripts/qemuimage-tests/sanity/zypper_help2
-rwxr-xr-xscripts/qemuimage-tests/sanity/zypper_search2
-rwxr-xr-xscripts/runqemu (renamed from scripts/poky-qemu)4
-rwxr-xr-xscripts/runqemu-ifdown (renamed from scripts/poky-qemu-ifdown)6
-rwxr-xr-xscripts/runqemu-ifup (renamed from scripts/poky-qemu-ifup)8
-rwxr-xr-xscripts/runqemu-internal (renamed from scripts/poky-qemu-internal)4
-rw-r--r--scripts/runqemu.README (renamed from scripts/poky-qemu.README)8
19 files changed, 34 insertions, 34 deletions
diff --git a/scripts/oe-buildenv-internal b/scripts/oe-buildenv-internal
index 03b078f299..7e77e43df6 100755
--- a/scripts/oe-buildenv-internal
+++ b/scripts/oe-buildenv-internal
@@ -51,7 +51,7 @@ fi
PATH="${OEROOT}/scripts:$BITBAKEDIR/bin/:$PATH"
unset BITBAKEDIR
-# Used by the poky-qemu script
+# Used by the runqemu script
export BUILDDIR
export PATH
diff --git a/scripts/poky-gen-tapdevs b/scripts/poky-gen-tapdevs
index 2117a7b08e..527c01e7b4 100755
--- a/scripts/poky-gen-tapdevs
+++ b/scripts/poky-gen-tapdevs
@@ -1,7 +1,7 @@
#!/bin/bash
#
# Create a "bank" of tap network devices that can be used by the
-# poky-qemu script. This script needs to be run as root, and will
+# runqemu script. This script needs to be run as root, and will
# use the tunctl binary from a Poky sysroot. Note: many Linux distros
# these days still use an older version of tunctl which does not
# support the group permissions option, hence the need to use Poky's
@@ -51,9 +51,9 @@ if [[ ! -x "$TUNCTL" || -d "$TUNCTL" ]]; then
fi
SCRIPT_DIR=`dirname $0`
-POKY_QEMU_IFUP="$SCRIPT_DIR/poky-qemu-ifup"
+POKY_QEMU_IFUP="$SCRIPT_DIR/runqemu-ifup"
if [ ! -x "$POKY_QEMU_IFUP" ]; then
- echo "Error: Unable to find the poky-qemu-ifup script in $SCRIPT_DIR"
+ echo "Error: Unable to find the runqemu-ifup script in $SCRIPT_DIR"
exit 1
fi
@@ -79,7 +79,7 @@ for ((index=0; index < $COUNT; index++)); do
fi
done
-# The poky-qemu script will check for this file, and if it exists,
+# The runqemu script will check for this file, and if it exists,
# will use the existing bank of tap devices without creating
# additional ones via sudo.
touch /etc/poky-nosudo
diff --git a/scripts/poky-setup-builddir b/scripts/poky-setup-builddir
index b8a6dd95ae..563d8e940d 100755
--- a/scripts/poky-setup-builddir
+++ b/scripts/poky-setup-builddir
@@ -108,6 +108,6 @@ Common targets are:
meta-toolchain
meta-toolchain-sdk
-You can also run generated qemu images with a command like 'poky-qemu qemux86'
+You can also run generated qemu images with a command like 'runqemu qemux86'
EOM
diff --git a/scripts/qemuimage-testlib b/scripts/qemuimage-testlib
index 720ee8f407..c3cf7c1ec2 100644
--- a/scripts/qemuimage-testlib
+++ b/scripts/qemuimage-testlib
@@ -395,11 +395,11 @@ Test_Create_Qemu()
local ret=1
local up_time=0
- which poky-qemu
+ which runqemu
if [ $? -eq 0 ]; then
- RUNQEMU=`which poky-qemu`
+ RUNQEMU=`which runqemu`
else
- Test_Error "Can not find poky-qemu in \$PATH, return fail"
+ Test_Error "Can not find runqemu in \$PATH, return fail"
exit 1
fi
diff --git a/scripts/qemuimage-tests/sanity/boot b/scripts/qemuimage-tests/sanity/boot
index b75b9b9285..d3414d33d3 100755
--- a/scripts/qemuimage-tests/sanity/boot
+++ b/scripts/qemuimage-tests/sanity/boot
@@ -1,7 +1,7 @@
#!/bin/bash
#
# Boot Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if qemu and qemu network is up.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/compiler b/scripts/qemuimage-tests/sanity/compiler
index 29dbfd9bb9..d224f33571 100755
--- a/scripts/qemuimage-tests/sanity/compiler
+++ b/scripts/qemuimage-tests/sanity/compiler
@@ -1,6 +1,6 @@
#!/bin/bash
# Compiler Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if gcc/g++/make command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/connman b/scripts/qemuimage-tests/sanity/connman
index fca6a27845..d46ef0a890 100755
--- a/scripts/qemuimage-tests/sanity/connman
+++ b/scripts/qemuimage-tests/sanity/connman
@@ -1,6 +1,6 @@
#!/bin/bash
# Conmman Check Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if connman can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/dmesg b/scripts/qemuimage-tests/sanity/dmesg
index 5ed31b735f..06a99485ca 100755
--- a/scripts/qemuimage-tests/sanity/dmesg
+++ b/scripts/qemuimage-tests/sanity/dmesg
@@ -1,6 +1,6 @@
#!/bin/bash
# Dmesg Check Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if there is any error log in dmesg.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/rpm_query b/scripts/qemuimage-tests/sanity/rpm_query
index 08017ffbe6..d42c4c49be 100755
--- a/scripts/qemuimage-tests/sanity/rpm_query
+++ b/scripts/qemuimage-tests/sanity/rpm_query
@@ -1,6 +1,6 @@
#!/bin/bash
# RPM Check Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if rpm command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/scp b/scripts/qemuimage-tests/sanity/scp
index c72cdc9d65..ce7279cdf8 100755
--- a/scripts/qemuimage-tests/sanity/scp
+++ b/scripts/qemuimage-tests/sanity/scp
@@ -1,6 +1,6 @@
#!/bin/bash
# SCP Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if file can be copied into target with scp command.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/shutdown b/scripts/qemuimage-tests/sanity/shutdown
index bc08cf0fdc..22662ab257 100755
--- a/scripts/qemuimage-tests/sanity/shutdown
+++ b/scripts/qemuimage-tests/sanity/shutdown
@@ -1,6 +1,6 @@
#!/bin/bash
# Shutdown Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if target can shutdown
# For qemux86/x86-64, we use command "poweroff" for target shutdown
# For non-x86 targets, we use command "reboot" for target shutdown
diff --git a/scripts/qemuimage-tests/sanity/ssh b/scripts/qemuimage-tests/sanity/ssh
index 2a0e934392..e4a20dc73d 100755
--- a/scripts/qemuimage-tests/sanity/ssh
+++ b/scripts/qemuimage-tests/sanity/ssh
@@ -1,6 +1,6 @@
#!/bin/bash
# SSH Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if ssh service in qemu is up.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/zypper_help b/scripts/qemuimage-tests/sanity/zypper_help
index 1ab6d2407f..6dafe5e1fd 100755
--- a/scripts/qemuimage-tests/sanity/zypper_help
+++ b/scripts/qemuimage-tests/sanity/zypper_help
@@ -1,6 +1,6 @@
#!/bin/bash
# Zypper Check Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if zypper command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/zypper_search b/scripts/qemuimage-tests/sanity/zypper_search
index d6bcd27a34..b96cbdad66 100755
--- a/scripts/qemuimage-tests/sanity/zypper_search
+++ b/scripts/qemuimage-tests/sanity/zypper_search
@@ -1,6 +1,6 @@
#!/bin/bash
# Zypper Check Test Case for Sanity Test
-# The case boot up the Qemu target with `poky-qemu qemuxxx`.
+# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if zypper command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/poky-qemu b/scripts/runqemu
index c76b3ab7b6..d155b561f1 100755
--- a/scripts/poky-qemu
+++ b/scripts/runqemu
@@ -267,7 +267,7 @@ setup_tmpdir() {
type -P bitbake &>/dev/null || {
echo "In order for this script to dynamically infer paths";
echo "to kernels or filesystem images, you either need";
- echo "bitbake in your PATH or to source poky-init-build-env";
+ echo "bitbake in your PATH or to source oe-init-build-env";
echo "before running this script" >&2;
exit 1; }
@@ -394,6 +394,6 @@ if [ "$libgl" != 'yes' ]; then
exit 1;
fi
-INTERNAL_SCRIPT=`which poky-qemu-internal`
+INTERNAL_SCRIPT=`which runqemu-internal`
. $INTERNAL_SCRIPT
diff --git a/scripts/poky-qemu-ifdown b/scripts/runqemu-ifdown
index bc90a9c12d..99613416c7 100755
--- a/scripts/poky-qemu-ifdown
+++ b/scripts/runqemu-ifdown
@@ -8,8 +8,8 @@
# the following to your /etc/sudoers file to be able to run this
# command without entering your password each time:
#
-# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifup
-# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifdown
+# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifup
+# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifdown
#
# Copyright (c) 2006-2010 Intel Corp.
#
@@ -31,7 +31,7 @@ usage() {
}
if [ $EUID -ne 0 ]; then
- echo "Error: This script (poky-qemu-ifdown) must be run with root privileges"
+ echo "Error: This script (runqemu-ifdown) must be run with root privileges"
exit 1
fi
diff --git a/scripts/poky-qemu-ifup b/scripts/runqemu-ifup
index f82848ccce..c963af5df9 100755
--- a/scripts/poky-qemu-ifup
+++ b/scripts/runqemu-ifup
@@ -10,12 +10,12 @@
# the following to your /etc/sudoers file to be able to run this
# command without entering your password each time:
#
-# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifup
-# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifdown
+# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifup
+# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifdown
#
# If you'd like to create a bank of tap devices at once, you should use
# the poky-gen-tapdevs script instead. If tap devices are set up using
-# that script, the poky-qemu script will never end up calling this
+# that script, the runqemu script will never end up calling this
# script.
#
# Copyright (c) 2006-2010 Intel Corp.
@@ -38,7 +38,7 @@ usage() {
}
if [ $EUID -ne 0 ]; then
- echo "Error: This script (poky-qemu-ifup) must be run with root privileges"
+ echo "Error: This script (runqemu-ifup) must be run with root privileges"
exit 1
fi
diff --git a/scripts/poky-qemu-internal b/scripts/runqemu-internal
index c88d71178b..206e1cfe8a 100755
--- a/scripts/poky-qemu-internal
+++ b/scripts/runqemu-internal
@@ -88,8 +88,8 @@ fi
# sudo.
NOSUDO_FLAG="/etc/poky-nosudo"
-QEMUIFUP=`which poky-qemu-ifup`
-QEMUIFDOWN=`which poky-qemu-ifdown`
+QEMUIFUP=`which runqemu-ifup`
+QEMUIFDOWN=`which runqemu-ifdown`
NFSRUNNING="false"
diff --git a/scripts/poky-qemu.README b/scripts/runqemu.README
index ecceae9784..12f1191ab7 100644
--- a/scripts/poky-qemu.README
+++ b/scripts/runqemu.README
@@ -3,15 +3,15 @@ Poky images with QEMU
Poky can generate qemu bootable kernels and images with can be used
on a desktop system. Both arm and x86 images can currently be booted.
-There are two scripts, runqemu and poky-qemu, one for use within poky,
+There are two scripts, runqemu and runqemu, one for use within poky,
the other externally.
-QEMU outside Poky (poky-qemu)
+QEMU outside Poky (runqemu)
=============================
-The poky-qemu script is run as:
+The runqemu script is run as:
- MACHINE=<machine> poky-qemu <zimage> <filesystem>
+ MACHINE=<machine> runqemu <zimage> <filesystem>
where: